/**
 * A simple class which overrides both the equals and the hashCode method.
 * 
 * @author Uno Holmer
 * @version 2008-10-07
 */
public class HasEqualsAndHashCode
{
	private String str;
	private int foo = 27;

	public HasEqualsAndHashCode(String str)
	{
		this.str = str;
	}

	public boolean equals(Object other)
	{
	     if ( this == other )
	         return true;
	     if ( other instanceof HasEqualsAndHashCode ) {
	         HasEqualsAndHashCode tmp = (HasEqualsAndHashCode)other;
	         return str.equals(tmp.str);
	     }
	     return false;
	}
	
	public int hashCode() {
	    return str.hashCode(); // delgate to String.hashCode()
	}
}